/*
** Haaf's Game Engine 1.9
** hge.relishgames.com
**
** hgeFader helper class header
**
** Created by Scott Conner
*/


#ifndef HGEFADER_H
#define HGEFADER_H

#include "hge.h"

class hgeFader
{
	public:
		hgeFader();
		~hgeFader();

		void update(float delta);
		void render();

		void FadeIn(float duration);
		void FadeOut(float duration);

		bool DoneFading();

	private:
		static HGE	*hge;

		hgeQuad		fader;

		float		alpha;
		int			direction;
		float		speed;
};

#endif
